Skip to content
OrdersOrders

List order transactions

Returns the order's money movements with type, amount, method and reference.

Path Parameters

orderId*string

Identifier of the order.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/orders/7204558912004325350/transactions" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
[  {    "id": "7204558912004325350",    "type": "in",    "amount": 178,    "paymentMethod": "Tarjeta de crédito",    "referenceId": "7204558912004328363",    "referenceType": "paymentTransaction",    "transactionReference": "Frente al parque Kennedy.",    "transactionReferenceDocumentLink": "https://mi-tienda.ecomiq.app/products/polo-de-algodon",    "content": "Gracias por tu compra, Andrea.",    "createdOn": "2026-09-28T15:30:00Z",    "createdBy": "2f40d7e4-3d9c-4ab2-b04e-7a6a132db821"  }]